package com.ss.android.ugc.aweme.ml.infra;

import X.7aR;
import X.C5183Lvy;
import X.C5184Lvz;
import com.bytedance.covode.number.Covode;

public abstract class SmartCommonPreloadService implements ISmartCommonPreloadService {
    public static final C5184Lvz Companion = new C5184Lvz((byte) 0);
    public static final boolean debug = 7aR.LIZ;

    public static final boolean getDebug() {
        return debug;
    }

    public static final ISmartCommonPreloadService instance() {
        return C5183Lvy.LIZ;
    }

    static {
        Covode.recordClassIndex(93020);
    }
}
